com.google.gwt.typedarrays.server

## Class Uint16ArrayImpl

- java.lang.Object
- - com.google.gwt.typedarrays.server.ArrayBufferViewImpl
  - - com.google.gwt.typedarrays.server.Uint16ArrayImpl

- All Implemented Interfaces:
    ArrayBufferView, Uint16Array

      public class Uint16ArrayImpl
      extends ArrayBufferViewImpl
      implements Uint16Array

  Pure Java implementation of `Uint16Array`.

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl

      `arrayBuf, byteLength, byteOffset, USE_LITTLE_ENDIAN`

    - ### Fields inherited from interface com.google.gwt.typedarrays.shared.Uint16Array

      `BYTES_PER_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Uint16ArrayImpl(ArrayBuffer buffer, int byteOffset, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `get(int index)` Retrieve one element of this view.
    `int` | `length()` The length in elements of this view.
    `void` | `set(int[] array)` Set multiple elements in this view from an array, storing starting at 0.
    `void` | `set(int[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
    `void` | `set(int index, int value)` Set one element in this view.
    `void` | `set(Uint16Array array)` Set multiple elements in this view from another view, storing starting at 0.
    `void` | `set(Uint16Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
    `Uint16Array` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
    `Uint16Array` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

    - ### Methods inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl

      `buffer, byteLength, byteOffset, checkRange`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView

      `buffer, byteLength, byteOffset`

- - ### Constructor Detail

    - #### Uint16ArrayImpl

          public Uint16ArrayImpl(ArrayBuffer buffer,
                                 int byteOffset,
                                 int length)

      Parameters:
        `buffer` -
        `byteOffset` -
        `length` -

  - ### Method Detail

    - #### get

          public int get(int index)

      Description copied from interface: `Uint16Array`
      Retrieve one element of this view.
      Specified by:
        `get` in interface `Uint16Array`
      Returns:
        the requested element

    - #### length

          public int length()

      Description copied from interface: `Uint16Array`
      The length in elements of this view.
      Specified by:
        `length` in interface `Uint16Array`
      Returns:
        non-negative length

    - #### set

          public void set(int index,
                          int value)

      Description copied from interface: `Uint16Array`
      Set one element in this view.
      Specified by:
        `set` in interface `Uint16Array`

    - #### set

          public void set(int[] array)

      Description copied from interface: `Uint16Array`
      Set multiple elements in this view from an array, storing starting at 0.
      Specified by:
        `set` in interface `Uint16Array`

    - #### set

          public void set(int[] array,
                          int offset)

      Description copied from interface: `Uint16Array`
      Set multiple elements in this view from an array, storing starting at the requested offset.
      Specified by:
        `set` in interface `Uint16Array`

    - #### set

          public void set(Uint16Array array)

      Description copied from interface: `Uint16Array`
      Set multiple elements in this view from another view, storing starting at 0.
      Specified by:
        `set` in interface `Uint16Array`

    - #### set

          public void set(Uint16Array array,
                          int offset)

      Description copied from interface: `Uint16Array`
      Set multiple elements in this view from another view, storing starting at the requested offset.
      Specified by:
        `set` in interface `Uint16Array`

    - #### subarray

          public Uint16Array subarray(int begin)

      Description copied from interface: `Uint16Array`
      Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.
      Specified by:
        `subarray` in interface `Uint16Array`
      Parameters:
        `begin` - offset into this view if non-negative; if negative, an index from the end of this view
      Returns:
        a new `Uint16Array` instance

    - #### subarray

          public Uint16Array subarray(int begin,
                                      int end)

      Description copied from interface: `Uint16Array`
      Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.
      Specified by:
        `subarray` in interface `Uint16Array`
      Parameters:
        `begin` - offset into this view if non-negative; if negative, an index from the end of this view
        `end` - offset into this view if non-negative; if negative, an index from the end of this view
      Returns:
        a new `Uint16Array` instance